#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	ell
Version		:	0.27
Release		:	14.8.0.0%{?dist}
Summary		:	Embedded Linux library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://mirrors.edge.kernel.org/pub/linux/libs/ell/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
%description
The Embedded Linux* Library (ELL) provides core, low-level
functionality for system daemons. It typically has no
dependencies other than the Linux kernel, C standard library,
and libdl (for dynamic linking). While ELL is designed to be
efficient and compact enough for use on embedded Linux platforms,
it is not limited to resource-constrained systems.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
